#!/bin/bash



namespace=uavcloud-demo
app_name_list=(uav-gateway cmii-uav-notice cmii-uas-gateway cmii-uas-lifecycle uav-platform-uas)

echo ""
echo "current namespace is $namespace"
echo ""

for app in ${app_name_list[@]};do
  echo "current app is $app"
  pod_name=$(kubectl -n ${namespace} get pods | grep ${app} | awk '{print$1}' | head -n1)

  echo "pod name of app is => $pod_name"
  kubectl -n ${namespace} describe pod ${pod_name} | grep "Image ID:" | awk '{print $3}'

  echo ""
done
